petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatAXPY

Computes Y = a*X + Y.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAXPY(Mat Y,PetscScalar a,Mat X,MatStructure str)

Logically Collective on Mat

### Input Parameters

| a | - the scalar multiplier
| X | - the first matrix
| Y | - the second matrix
| str | - either SAME_NONZERO_PATTERN, DIFFERENT_NONZERO_PATTERN or SUBSET_NONZERO_PATTERN (nonzeros of X is a subset of Y's)

### Keywords

matrix, add

### See Also

MatAYPX()

### Level

intermediate

### Location

src/mat/utils/axpy.c

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex58.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html

### Implementations

MatAXPY_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatAXPY_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatAXPY_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatAXPY_SeqBAIJ in src/mat/impls/baij/seq/baij.c
MatAXPY_SeqBAIJMKL in src/mat/impls/baij/seq/baijmkl/baijmkl.c
MatAXPY_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatAXPY_SeqDense in src/mat/impls/dense/seq/dense.c
MatAXPY_Elemental in src/mat/impls/elemental/matelem.cxx
MatAXPY_IS in src/mat/impls/is/matis.c
MatAXPY_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatAXPY_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
MatAXPY_Shell in src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages